
% Grundlinienkorrektur des sehr langen Datensatzes

dateiname   = "Dunafluoro lang ohne ersten Punkt.asc";
ausgabename = "Dunafluoro-LG-1.dat"

spektrum = importdata(dateiname, '\t', 0);

xachse = spektrum(:, 1);
yachse = spektrum(:, 2);

  % Grundlinienkorrektur durchführen.
  % Erprobte Parameter bei uns: 6, 180, 5 für das 1200 Linien/mm-Gitter, 6, 360, 5 für das 2400 Linien/mm-Gitter.
  korrigiert = f_baseline_corr(xachse, yachse, 6, 180, 1);

% fertig = [xachse, yachse, korrigiert, yachse-korrigiert];

fertig = [xachse, yachse, korrigiert, yachse-korrigiert];
save('-ascii', '-tabs', ausgabename, 'fertig');


ausgabename = "Dunafluoro-LG-2.dat"

spektrum = importdata(dateiname, '\t', 0);

xachse = spektrum(:, 1);
yachse = spektrum(:, 2);

  % Grundlinienkorrektur durchführen.
  % Erprobte Parameter bei uns: 6, 180, 5 für das 1200 Linien/mm-Gitter, 6, 360, 5 für das 2400 Linien/mm-Gitter.
  korrigiert = f_baseline_corr(xachse, yachse, 6, 180, 2);

% fertig = [xachse, yachse, korrigiert, yachse-korrigiert];

fertig = [xachse, yachse, korrigiert, yachse-korrigiert];
save('-ascii', '-tabs', ausgabename, 'fertig');


ausgabename = "Dunafluoro-LG-3.dat"

spektrum = importdata(dateiname, '\t', 0);

xachse = spektrum(:, 1);
yachse = spektrum(:, 2);

  % Grundlinienkorrektur durchführen.
  % Erprobte Parameter bei uns: 6, 180, 5 für das 1200 Linien/mm-Gitter, 6, 360, 5 für das 2400 Linien/mm-Gitter.
  korrigiert = f_baseline_corr(xachse, yachse, 6, 180, 3);

% fertig = [xachse, yachse, korrigiert, yachse-korrigiert];

fertig = [xachse, yachse, korrigiert, yachse-korrigiert];
save('-ascii', '-tabs', ausgabename, 'fertig');


ausgabename = "Dunafluoro-LG-4.dat"

spektrum = importdata(dateiname, '\t', 0);

xachse = spektrum(:, 1);
yachse = spektrum(:, 2);

  % Grundlinienkorrektur durchführen.
  % Erprobte Parameter bei uns: 6, 180, 5 für das 1200 Linien/mm-Gitter, 6, 360, 5 für das 2400 Linien/mm-Gitter.
  korrigiert = f_baseline_corr(xachse, yachse, 6, 180, 4);

% fertig = [xachse, yachse, korrigiert, yachse-korrigiert];

fertig = [xachse, yachse, korrigiert, yachse-korrigiert];
save('-ascii', '-tabs', ausgabename, 'fertig');


ausgabename = "Dunafluoro-LG.dat"

spektrum = importdata(dateiname, '\t', 0);

xachse = spektrum(:, 1);
yachse = spektrum(:, 2);

  % Grundlinienkorrektur durchführen.
  % Erprobte Parameter bei uns: 6, 180, 5 für das 1200 Linien/mm-Gitter, 6, 360, 5 für das 2400 Linien/mm-Gitter.
  korrigiert = f_baseline_corr(xachse, yachse, 6, 180, 5);

% fertig = [xachse, yachse, korrigiert, yachse-korrigiert];

fertig = [xachse, yachse, korrigiert, yachse-korrigiert];
save('-ascii', '-tabs', ausgabename, 'fertig');



